var myApp = new Framework7({
  fastClicks: false
});
 
var $$ = Dom7;
 
var mainView = myApp.addView('.view-main', {
  dynamicNavbar: true
});


var app = new Vue({
  el: "#app",
  data: {
    Umax: 3,          // 3 V
    f: 50,            // 50 Hz
    phi: 0,           // phi = 0 deg
    time: 0,          // time
//    points: [],
    zoomX: 30,         // 
  },
  computed: {
    omega: function(){
      return 2*Math.PI*this.f;
    },
    Uef: function(){
      return (Math.sqrt(2)/2)*this.Umax;
    },
    UefDisp: function(){
      return Math.floor(1000*this.Uef)/1000;
    },
    u: function(){
      return this.Umax * Math.sin(2*Math.PI*this.f*this.time/100000 + Math.PI*this.phi/180);
    },
    uDisp: function(){
      return Math.floor(1000*this.u)/1000;
    },
    points: function(){
      var _points = [];
      for (var i = 0; i < 500; i++){
        _points[i] = this.zoomX * this.Umax * Math.sin(2*Math.PI*this.f*i/25000 + Math.PI*this.phi/180);
      }
      return _points;
    }
  }
});

